Typing in location bar is extremely laggy since global frecency
Since a short time ago (global frecency potentially) typing in the location bar has become extremely laggy, taking something like half a second for each character to appear. This is extremely irritating and I believe should block b3